Overview
DELETE
/persona/personas/{id}/tokens/{tokenId}registryRevoke one of the persona's tokens — the explicit kill switch (scoped to this persona)
Delete a record from tokens by id, tokenId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- tokenIdpathstring
Responses
204
revoked
No response body.
400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/persona/personas/{id}/tokens/{tokenId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/personas/{id}/tokens/{tokenId}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();